package de.fitko.fitconnect.api.domain.model.metadata.data;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.Getter;
import lombok.Setter;

import java.net.URI;
import java.util.Map;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "schemaUri",
        "mimeType"
})
@Getter
@Setter
public class SubmissionSchema {

    @JsonProperty("schemaUri")
    URI schemaUri;

    @JsonProperty("mimeType")
    MimeType mimeType;

    @JsonIgnore
    Map<String, Object> additionalProperties;
}
